Kontron Server System
Update Package Revision - CG2400_SUP17.00
Date: September 22th, 2025

This update package includes the following system software: 
BIOS - 1.53.09858B31
BMC  - 2.17.09984B9B
FPGA - 1.0.0800E3EC

Also includes SNMP MIB File:
CG2400-KONTRON-MIB.txt - Initial version released on 2025/09/17

-----------------------
BIOS 1.53.09858B31
Date: June 25th, 2024

No Modifications

-----------------------
BMC 2.17.09984B9B
Date: June 25th, 2024

• CG2400M-2171, SNMP reorg and additions for sensors.
• CG2400M-2172, Improve redis database backup, restore and services start.
• CG2400M-2167, CG2400M-2161, Fix for NodeManager sensors and redfish sensors.
• CG2400M-2139, Fixes for DTS Temp margin sensors.
• CG2400M-2168, Change Enterprise OID set for trap generations to the Kontron one.
• CG2400M-2161, Fix redfish sensors desync vs ipmi ones.
• CG2400M-2153, CG2400M-2154, Fix some Network Config Problems.

-----------------------
FPGA 1.0.0800E3EC
Date: March 19th 2020

No Modifications

-----------------------
CG2400-KONTRON-MIB.txt
Date: Sept 17th 2025

Initial revision


Version History
-----------------------
SUP16.00
-----------------------
BIOS 1.53.09858B31
Date: June 25th, 2024

No Modifications

-----------------------
BMC 2.16.0989838F
Date: Oct 30th, 2024

•	(CG2400M-2151) Fix decimal fans speed and temp values in system inventory "thermal" webui tab.
•	(CG2400M-2125) Add 'Sensor Name' field in log generated by the 'Download Event Logs' button of the WebUI.
•	(CG2400M-2147 and ME1100V2-767) Fix redfish sensor sync with ipmi ones.

-----------------------
FPGA 1.0.0800E3EC
Date: March 19th 2020

No Modifications

-----------------------
SUP15.00
-----------------------
BIOS 1.53.09858B31
Date: June 25th, 2024

•	Update to code drop 5.14_PurleyCrb_0ACLA063

-----------------------
BMC 2.15.098604C7
Date: July 10th, 2024

•	(SUS-947) Made corrections to some patches.
•	(CG2400M-2134) Decreased hysteresis of Fan Speed sensors to avoid being stuck in alarm.
•	(SUS-947) Fix occasional bad initialization on power up for Px Temp and HDD Status sensors.
•	(CG2400M-2136) Implemented Fans speed kickstart feature and fan fault grace period.
•	(CG2400M-2126) Remove the firmware update link in maintenance page.
•	(SUS-947) Port upstream fix for possible file (containing info given to BMC by the BIOS) corruption issue on boot.
•	(SUS-947) Port upstream fix that improves the initialization of services used for redfish on boot.
•	(CG2400M-2135) Fixing possible vulnerabilities (CVE-2023-48795 and CVE-1999-0524).
•	(CG2400M-2115) Webui: Fix few issues mainly with circular SELs.

-----------------------
FPGA 1.0.0800E3EC
Date: 2020-03-19

No Modifications

-----------------------
SUP14.00
-----------------------
BIOS 1.52.09783C6B
Date: Sept 26th, 2023

•	Update to code drop 5.14_PurleyCrb_0ACLA060
•	(CG2400M-2086) Stop reading and writing back UTC Offset value to BMC.

-----------------------
BMC 2.14.09787BAF
Date: Sept 28th, 2023

•	(CG2400M-2081) Modifications of PWROK Capture sensors.
•	(CG2400M-2088) Cleaning of the code (removed some unused stuff that was coming from AMI Wolfpass project).
•	(CG2400M-2086) Fix BMC date/time issues.
•	(CG2400M-2087) Fix Board Status sensor.
•	(CG2400M-2109) Improve detection of PCIe temp probes.
•	(CG2400M-2116) Fixing Redfish Host Interface Vulnerability (CVE-2023-34330).
•	(CG2400M-2119) Enable on CG2400 the feature that gives/removes ROOT access to BMC OS using a jumper.
•	(ME1100V2-918) New optional feature to give/remove ROOT access to BMC OS using a jumper.
•	(CG2400M-2082) WebUI: Modification of error message that reports invalid NTP servers URLs.
•	(CG2400M-2114) Fixing Redfish Host Interface Vulnerability (CVE-2023-34329).
•	(CG2400M-2084) Webui:Fix timezone offset bad application in some views + order events using IDs instead of timestamps.

-----------------------
FPGA 1.0.0800E3EC
Date: 2020-03-19

No Modifications

-----------------------
SUP13.00
-----------------------
BIOS 1.51.0970A514
Date: Jan 23th, 2023

•	(CG2400M-2077) Allow for case-sensitive passwords when accessing the UEFI Setup Menu.

-----------------------
BMC 2.13.0970FD53
Date: Jan 31th, 2023

•	(CG2400M-2075) Improve “CPU Missing” sensor event generation.
•	(CG2400M-2076) Remove duplicate sensors: CATERR and CPU_ERR2.
•	(CG2400M-2078) “V_3V_BAT” sensor thresholds modification.

-----------------------
FPGA 1.0.0800E3EC
Date: 2020-03-19

No Modifications

-----------------------
SUP12.00
-----------------------
BIOS 1.50.0965786C
Date: July 19th, 2022

•	(CG2400M-2062) Fixed power down problem.

-----------------------
BMC 2.12.09664491
Date: July 19th, 2022

•	(CG2400M-2072) Change assertion/deassertion masks for DIMM mrgn sensors.
•	(SUS-725) Fix lost of Sys GUID on each BMC firmware updates.
•	(CG2400M-2069) Fix regarding GUIDs creation/change.
•	(CG2400M-2064) Fix webUI event logs (missing events).

-----------------------
FPGA 1.0.0800E3EC
Date: 2020-03-19

No Modifications


-----------------------
SUP11.00
-----------------------
BIOS 1.49.09608CE9
Date: 2022-01-17

•	(CG2400M-2059) Added KCI 'HDD Security Protocol Priority' option in the setup menu, with TCG OPAL as default.

-----------------------
BMC 2.11.09607528
Date: 2022-01-14

•	(CG2400M-2061) Disabling the use of TSLv1.0 and TSLv1.1 to enhance security.
•	(CG2400M-2058) Fixing inconsistent fan speed behavior at system startup.

-----------------------
FPGA 1.0.0800E3EC
Date: 2020-03-19

No Modifications


-----------------------
SUP10.00
-----------------------
BIOS 1.48.095AC38C
Date: 2021-12-10

•	(CG2400M-2057) Changed the KCI RAS Event SENSOR NUMBER to avoid conflict.
•	(CG2400M-1870) Improved watchdog coverage while exiting the setup menu.
•	() Grayed out the "FRB-2 Timer" and "FRB-2 Timer timeout" options in the Setup Menu.

-----------------------
BMC 2.10.095AECE7
Date: 2021-12-15

•	(CG2400M-2052) Added the possibility to control the “Chassis Identify” LED from the WebUI.
•	(CG2400M-2054) Fixed the Help button on the KVM “Record Setting” page.
•	(CG2400M-2051) Corrected issues with the “donut” charts on the WebUI dashboard page

-----------------------
FPGA 1.0.0800E3EC
Date: 2020-03-19

No Modifications


-----------------------
SUP09.00
-----------------------
BIOS 1.47.09575C59
Date: 2021-08-23

•	(CG2400M-2050) Fix the temperature sensors not displaying their values.             
•	(CG2400M-2046) Remove the unnecessary IPMI event "IPMI_STORAGE_ADD_SEL_ENTRY" (genId 001) before and
    after sending the “set sel time” command.

-----------------------
BMC 2.9.0955AB31
Date: 2021-06-30

No Modifications

-----------------------
FPGA 1.0.0800E3EC
Date: 2020-03-19

No Modifications


-----------------------
SUP08.00
-----------------------
BIOS 1.46.09548C65
Date: 2021-06-14

•	(CG2400M-2042) Fix BIOS settings not fully editable with AMI SCE tool
    . Fixed the "Ipv4 PXE Support" option is not exposed with the SCT Linux tool
    . Fixed the "Setup Prompt Timeout" option cannot be updated with the SCT Linux tool
•	Update Microcode, ME firmware and security fixes to Intel® SPS_04.01.04.505

-----------------------
BMC 2.9.0955AB31
Date: 2021-06-30

Modifications:

•	(CG2400M-2034) Sensor 'P2 TJMAX' now reports “ns” on system with only one CPU
•	(CG2400M-2036) Sensor 'Ver Change BMC' now trigs an event when the minor version is greater than 10
•	(CG2400M-2044) Implement basic support for TAM LEDs
•	(CG2400M-2039) IPMI Set SEL time command generates unnecessary PEF events
•	(CG2400M-2045) Fix situation where BMC ignores set SEL time sent from BIOS to sync time

-----------------------
FPGA 1.0.0800E3EC
Date: 2020-03-19

No Modifications


SUP07.00
-----------------------
BIOS 1.45.0949BCA2
Date: 2020-11-11

No Modifications

-----------------------
BMC 2.8.09529BF6
Date: 2021-03-24

Modifications:

•	(CG2400M-2023) Add new sensors: Board Status and Power State.
•	(CG2400M-2025) Add new sensors: PWROK Capture 1&2.
•	(CG2400M-2029) Made fix so PSU sensors can be monitored/refreshed when payload is off.
•	(CG2400M-2028) Remove thresholds on P1 and P2 TJMAX sensors.
•	(CG2400M-2010) Fix false "P1/2 DTS Thrm Mrgn" events during boot.
•	(CG2400M-2024) Added Firmware Change sensors.
•	(CG2400M-2035) Modified the status LED behavior to remove the non-critical states that was Amber Blinking the LED.
•	(ME1100V2-907) Remove possibility to change date/time of the BMC from its web page (was not functional).
•	(ME1100V2-909) Changes in setntpdate script file so won’t init/overwrite system date to jan 1st 2012 if current system date is after 2011.

-----------------------
FPGA 1.0.0800E3EC
Date: 2020-03-19

No Modifications


SUP06.00
-----------------------
BIOS 1.45.0949BCA2
Date: 2020-11-11

Modifications:

•	Enabling ME firmware programmation in the update scripts
•	Update Microcode, ME firmware and security fixes to Intel® SPS_04.01.04.423

-----------------------
BMC 2.7.0949E3A6
Date: 2020-11-11

Modifications:

•	(CG2400M-1986) Fix false SEL events using front buttons
•	(CG2400M-2015) Server does not boot when loss of power during "Power On Delay"
•	(CG2400M-2014) Status LED behavior now match the User Guide description
•	(CG2400M-2012) Chassis Identify LED with “force” argument now working as expected
•	(CG2400M-2011) Fix situation when system is unresponsive following HPM upgrade
•	(CG2400M-2019) Fix issue when sending HPM activate command (when no component requires it) shutdown BMC’s network until reboot.

-----------------------
FPGA 1.0.0800E3EC
Date: 2020-03-19

No Modifications


SUP05.00
-----------------------
BIOS 1.44.09488387
Date: 2020-09-28

Modifications:

•	 Remove [UEFI: PXE IP4 American Megatrendd Inc.] boot option from the boot list
•	 Correct the SMBUS Type 8 connector FAN order description 
•	 (CG2400M-2002) Add Power Restore Delay feature
•	 Update Microcode and security fixes

-----------------------
BMC 2.6.094883EC
Date: 2020-09-28

Modifications:

•	(CG2400M-1990) Modified Event/Reading type for sensor Fan Failure
•	(CG2400M-1986) Fix false SEL events during system boot or reset
•	(CG2400M-2002) Add Power Restore Delay feature
•	(CG2400M-1983) Remove unneeded links in webGUI dashboard
•	(CG2400M-1977) Clarification about password creation in webGUI help note

-----------------------
FPGA 1.0.0800E3EC
Date: 2020-03-19

No Modifications


SUP04.01
-----------------------
BIOS 1.43.0946ABC0
Date: 2020-07-31

No Modifications

-----------------------
BMC 2.5.09476BB1
Date: 2020-08-26

Modifications:

•	(CG2400M-1999) Fix power control policy when last power state is selected
•	(CG2400M-1991) ID Led now blinks during ipmitool chassis identify command

-----------------------
FPGA 1.0.0800E3EC
Date: 2020-03-19

No Modifications



SUP04.00
-----------------------
BIOS 1.43.0946ABC0
Date: 2020-07-31

Modifications:

•	 (CG2400M-1976) Hide the "Fan PWM Offset" option
•	 (CG2400M-1976) Add support for “Override Minimum Fan Speed”
•	 (CG2400M-1981) Improving the BIOS update under Linux

-----------------------
BMC 2.5.0946952E
Date: 2020-07-28

Modifications:

•	(CG2400M-1992) Added OEM command to preserve sensor thresholds values after cold reset of BMC
•	(CG2400M-1976) Add support for “Override Minimum Fan Speed”
•	(CG2400M-2000) Fix problems when network is set as Static IP

-----------------------
FPGA 1.0.0800E3EC
Date: 2020-03-19

No Modifications
